cascading.operation

## Class NoOp

- java.lang.Object
- - cascading.operation.BaseOperation
  - - cascading.operation.NoOp

- All Implemented Interfaces:
    DeclaresResults, Function, Operation, Traceable, java.io.Serializable

      public class NoOp
      extends BaseOperation
      implements Function

  Class NoOp does nothing. It ignores all arguments and returns an empty `Tuple`, `Tuple.NULL`.

  Use with `Fields.SWAP` to retain unknown fields, or use the `Discard` sub-assembly.
  See Also:
    `Insert`, `Discard`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOp()` Constructor NoOp creates a new NoOp instance that will ignore the argument values and return no output.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operate(FlowProcess flowProcess, FunctionCall functionCall)` Method operate provides the implementation of this Function.

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, equals, flush, getFieldDeclaration, getNumArgs, getTrace, hashCode, isSafe, prepare, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Constructor Detail

    - #### NoOp

          public NoOp()

      Constructor NoOp creates a new NoOp instance that will ignore the argument values and return no output.

  - ### Method Detail

    - #### operate

          public void operate(FlowProcess flowProcess,
                     FunctionCall functionCall)

      Description copied from interface: `Function`
      Method operate provides the implementation of this Function.
      Specified by:
        `operate` in interface `Function`
      Parameters:
        `flowProcess` - of type FlowProcess
        `functionCall` - of type FunctionCall

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.